FruxonDocs
ApiKnowledge bases

Lists active source control-plane records linked to a knowledge base.

This P1 surface describes existing user-owned implementations. Runtime health and activity remain in the linked automation and ledger and will be projected by the source activity endpoint. Archived sources are hidden from this collection and remain readable by id, as archived knowledge bases are.

GET
/v1/tenants/{tenant}/knowledgeBases/{knowledgeBase}/sources
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

knowledgeBase*string

The knowledge base id.

Formatuuid
tenant*string

The tenant identifier

Query Parameters

PageSize?integer

The maximum number of items to return per page

Formatint32
PageToken.Skip?integer
Formatint32
PageToken.Cursor?string

Opaque cursor token from an external system (e.g. RAG API). When set, M:Fruxon.Common.Collections.PageToken.AsString returns this value directly instead of encoding Fruxon.Common.Collections.PageToken.Skip.

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/knowledgeBases/497f6eca-6276-4993-bfeb-53cbbbba6f08/sources"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "knowledgeBaseId": "619a59ff-6d34-4e0c-9a58-4d2cf062eac9",
      "displayName": "string",
      "kind": "UNSPECIFIED",
      "status": "UNSPECIFIED",
      "managementMode": "UNSPECIFIED",
      "recipeKey": "string",
      "recipeVersion": 0,
      "config": null,
      "approvalPolicy": "UNSPECIFIED",
      "approvalSamplePercent": 0,
      "publishPolicy": "UNSPECIFIED",
      "settingsEditable": true,
      "settingsNotEditableReason": "string",
      "resources": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "resourceKind": "UNSPECIFIED",
          "resourceId": "string",
          "role": "UNSPECIFIED",
          "ownership": "UNSPECIFIED"
        }
      ],
      "createdAt": 0,
      "modifiedAt": 0
    }
  ],
  "nextPageToken": "string",
  "totalCount": 0
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}